### Function

# EDataServer categories_set_icon_file_for

#### Declaration [src]

    void
    e_categories_set_icon_file_for (
      const gchar* category,
      const gchar* icon_file
    )

#### Description [src]

Sets the icon file associated with the given category.

This function is thread safe.

#### Parameters

`category`

  Type: `const gchar*`

  Category to set the icon file for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_file`

  Type: `const gchar*`

  Icon file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.